Bug 117284 - [patch] graphics/feh: remove dependency on shells/bash
Summary: [patch] graphics/feh: remove dependency on shells/bash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-18 01:30 UTC by Oleg Pudeyev
Modified: 2007-10-23 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (983 bytes, patch)
2007-10-18 01:30 UTC, Oleg Pudeyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Pudeyev 2007-10-18 01:30:01 UTC
Attached patch removes dependency of graphics/feh on shells/bash. Only one installed shell script (gen_cam_menu.sh) appears to use bash, and nothing in that shell script seems to require bash. The patch replaces /bin/bash reference with /bin/sh and removes bash from RUN_DEPENDS.

I have also filed a ticket with feh developers at http://linuxbrit.co.uk/feh/ticket/34.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-10-20 13:26:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-10-23 14:36:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2007-10-23 16:19:03 UTC
miwi        2007-10-23 13:35:50 UTC

  FreeBSD ports repository

  Modified files:
    graphics/feh         Makefile 
  Log:
  - Remove dependency on shells/bash
  
  PR:             117284
  Submitted by:   Oleg Pudeyev <oleg.pudeyev@gmail.com>
  
  Revision  Changes    Path
  1.25      +2 -3      ports/graphics/feh/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"